Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 114423)
+++ apps/app_queue.c	(working copy)
@@ -1504,10 +1504,10 @@
 		 */
 		for (tmpvar = queue_vars; tmpvar; tmpvar = tmpvar->next) {
 			if (!strcasecmp(tmpvar->name, "strategy")) {
-				q->strategy = strat2int(tmpvar->value);
+				q->strategy = strat2int(S_OR(tmpvar->value, ""));
 				if (q->strategy < 0) {
 					ast_log(LOG_WARNING, "'%s' isn't a valid strategy for queue '%s', using ringall instead\n",
-					tmpvar->value, q->name);
+					S_OR(tmpvar->value, ""), q->name);
 					q->strategy = QUEUE_STRATEGY_RINGALL;
 				}
 				break;
@@ -5137,10 +5137,10 @@
 				 * scheme for queue members, we must devise the queue's strategy before other initializations
 				 */
 				if ((tmpvar = ast_variable_retrieve(cfg, cat, "strategy"))) {
-					q->strategy = strat2int(tmpvar);
+					q->strategy = strat2int(S_OR(tmpvar, ""));
 					if (q->strategy < 0) {
 						ast_log(LOG_WARNING, "'%s' isn't a valid strategy for queue '%s', using ringall instead\n",
-						tmpvar, q->name);
+						S_OR(tmpvar, ""), q->name);
 						q->strategy = QUEUE_STRATEGY_RINGALL;
 					}
 				} else
